Public Attributes | List of all members
qspi_psram_command_t Struct Reference
Peripheral Driver » HAL Driver » QSPI » Structures » QSPI psram-write command

QSPI command for psram-write Structure definition. More...

`#include <gr55xx_hal_qspi.h>`

## Public Attributes
uint32_t | data_size
| Specifies the QSPI data width. More...
uint32_t | data_block_length
| Specifies the number of data in each block, This is the number of bytes. More...
uint32_t | llp_data_mode
| Specifies Linked list data mode. More...
uint32_t | llp_data_shape
| Specifies Linked list data shape. More...

## Detailed Description

QSPI command for psram-write Structure definition.

Definition at line 339 of file gr55xx_hal_qspi.h.

## Member Data Documentation

## ◆ data_block_length

uint32_t qspi_psram_command_t::data_block_length

Specifies the number of data in each block, This is the number of bytes.

if llp_data_mode is QSPI_PSRAM_LINKED_BLOCK_DATA_MODE_0 : the length equals each block's length(including the inst & addr length); if llp_data_mode is QSPI_PSRAM_LINKED_BLOCK_DATA_MODE_1 : the length equals the result of one inst&addr block plus one data block. This parameter can be any value between 0 and 4095.

Definition at line 346 of file gr55xx_hal_qspi.h.

## ◆ data_size

uint32_t qspi_psram_command_t::data_size

Specifies the QSPI data width.

if llp_data_mode is QSPI_PSRAM_LINKED_BLOCK_DATA_MODE_0 : data_size support 8/16/32 bits; if llp_data_mode is QSPI_PSRAM_LINKED_BLOCK_DATA_MODE_1 : data_size support 8/16 bits. This parameter can be a value of Data Width.

Definition at line 341 of file gr55xx_hal_qspi.h.

## ◆ llp_data_mode

uint32_t qspi_psram_command_t::llp_data_mode

Specifies Linked list data mode.

BLOCK Mode for LLP.

Definition at line 351 of file gr55xx_hal_qspi.h.

## ◆ llp_data_shape

uint32_t qspi_psram_command_t::llp_data_shape

Specifies Linked list data shape.

Just support QSPI_PSRAM_LINKED_BLOCK_DATA_SHAPE_RECTANGLE now.

Definition at line 353 of file gr55xx_hal_qspi.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_qspi.h